Overrides lock on device

post

/rest/{versionId}/inventory/device-mgmt/devices/{deviceId}/groups/{groupId}

Use this (POST) method to force unlock on the device. This method must be used once FSM operational lock is released, or overridden.

Request

Path Parameters
Back to Top

Response

204 Response

Successfully processed the request with no content.

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user doesn't have the required permission.

404 Response

The resource URI of your input request cannot be found.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to overrides lock on device.

curl -X POST \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/device-mgmt/devices/<deviceId>/groups/<groupId>"

The following example shows how to use Python to overrides lock on device.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/device-mgmt/devices/<deviceId>/groups/<groupId>"
resp = requests.post(url, headers=headers)

Note:

Use the Get a List of Devices Associated with Config Manager API to find the deviceId parameter. Use the Get Existing Device Groups API to find the groupId parameter.

Example of the Response Body

This endpoint does not return a response body.

Back to Top